Bug 186332 - Package Conflict
Package Conflict
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: bind (Show other bugs)
5
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Vas Dias
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-03-22 18:07 EST by Jonathan Steffan
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-03-24 13:15:49 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jonathan Steffan 2006-03-22 18:07:26 EST
Description of problem:
Transaction Check Error:   file /etc/named.conf from install of
bind-9.3.2-12.FC5 conflicts with file from package caching-nameserver-7.3-5.FC5

Version-Release number of selected component (if applicable):


How reproducible:
100%

Steps to Reproduce:
1. yum update
2.
3.
  
Actual results:
Failed update.

Expected results:
Update.

Additional info:
Comment 1 Jason Vas Dias 2006-03-23 10:23:30 EST
This is very strange - this problem does not occur for me. 

I just double checked this on a clean installed FC-5 system by doing
# yum update
The bind-*9.3.2-4.1 packages were correctly updated to bind-*9.3.2-12.FC5,
and the caching-nameserver package was correctly obsoleted by bind-config.

bind-config now 'Obsoletes: caching-nameserver', and takes over ownership of
the $ROOTDIR/etc/named.conf file. The bind package only owns named.conf as
a %ghost file, as does bind-config, to prevent named.conf being removed by
previous versions of the package which Provide: named.conf.

What was the command you used to update bind ?

If it was yum, do you have 'obsoletes=1' in /etc/yum.conf or an active
/etc/yum.repos.d/*.repo file ?

The default yum configuration specifies 'obsoletes=1' and would avoid this
problem occurring.

You will not get this problem if you included bind-config in the list of 
packages to be updated, or if you use a current version of yum with the
'obsoletes=1' processing enabled.
Comment 2 Jonathan Steffan 2006-03-24 01:27:09 EST
This problem has been cleared up. I now am able to 'yum update'. I have been
updating all other packages other then bind and related updates. Today it works.

Per Request:

obsoletes=1 is set in /etc/yum.conf

[user@host ~]$ rpm -qa|grep bind
bind-utils-9.3.2-4.1
bind-libs-9.3.2-12.FC5
bind-9.3.2-12.FC5
bind-utils-9.3.2-12.FC5
ypbind-1.19-0
bind-config-9.3.2-12.FC5
Comment 3 Jason Vas Dias 2006-03-24 13:15:49 EST
Good - glad to see the problem has been resolved.

Note You need to log in before you can comment on or make changes to this bug.